#ifndef _Q_RUN_DATA__HANDLE_HH_
#define _Q_RUN_DATA__HANDLE_HH_

/**
 * @file QRunDataHandle.hh
 * @class QRunDataHandle
 * @ingroup objects_detector
 * @brief global handle for QRunData
 * @author ...
 */
 

#include "QRunData.hh"
#include "QGlobalHandle.hh"

class QRunDataHandle : public Diana::GlobalHandle<QRunData>
{
    public:
        QRunDataHandle(const int run, const std::string& name = "RunData");

        QError FillFromDB();

        QError FillFromFile(const std::string& fname);

        QError StoreOnDB() const;

        void SetIsOnline(bool isOnline = true) { fIsOnline = isOnline; }

        bool GetIsOnline() const {return fIsOnline; }
    private:

        void FillBasicInfo(QRunData& runData);

        bool fIsOnline;
        // QRootCintGlobalHandle(QRunDataHandle)


};

#endif
